#include <ctype.h>
#include <math.h>

void usage(void);

int parse_arguments(const int argc, char *argv[], int &mode, int &command)
{
  /*
    0 = manual
    1 = automatic
  */

  // There should be some arguments
  if(argc == 1) mode = 2;

  for(int arg=1;arg<=argc-1;arg++)
    {
      // Automatic mode
      if(strcmp(argv[arg], "-a") == 0)
	{
	  mode = 1;
	  cout << "setting auto mode\n";
	}

      // --help and -h
      if (strcmp(argv[arg], "--help") == 0 || strcmp(argv[arg], "-h") == 0)
	usage();

      // File or command
      else
	{
	  if (atoi(argv[arg]) <= 8 && atoi(argv[arg]) > 0)
	    {
	      cout << arg << "\t" << (int)pow(2, atoi(argv[arg])-1) << "\t";
	      command += (int)pow(2, atoi(argv[arg])-1);
	      cout << command << endl;
	    }
	}
    }
  return 1;
}

void usage(void)
{
  cout << "pls -a file|[-m] command(s)" << endl <<
    "-m\tManual mode. Read command(s) from command line. This is the default." << endl << 
    "-a\tAutomatic mode. Read commands from file" << endl << endl <<
    "1 turns on device nr. 1, 2 turns on number 2 and so on" << endl;
  exit(EXIT_FAILURE);
}
